Package docking.widgets.filter

# Class FilterOptions

java.lang.Object
docking.widgets.filter.FilterOptions

public class FilterOptions extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Character`
  `DEFAULT_DELIMITER`
  `static final String`
  `VALID_MULTITERM_DELIMITERS`
  `static final String[]`
  `VALID_MULTITERM_DELIMITERS_ARRAY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterOptions()`
  `FilterOptions(TextFilterStrategy textFilterStrategy, boolean allowGlobbing, boolean caseSensitive, boolean inverted)`
  `FilterOptions(TextFilterStrategy textFilterStrategy, boolean allowGlobbing, boolean caseSensitive, boolean inverted, boolean usePath, boolean multiTerm, char delimiterCharacter, MultitermEvaluationMode mode)`
  `FilterOptions(TextFilterStrategy textFilterStrategy, boolean allowGlobbing, boolean caseSensitive, boolean inverted, boolean multiTerm, char delimiterCharacter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `char`
  `getDelimitingCharacter()`
  `String`
  `getFilterDescription()`
  `Icon`
  `getFilterStateIcon()`
  `static Icon`
  `getIcon(TextFilterStrategy filterStrategy)`
  `MultitermEvaluationMode`
  `getMultitermEvaluationMode()`
  `TermSplitter`
  `getTermSplitter()`
  `TextFilterFactory`
  `getTextFilterFactory()`
  `TextFilterStrategy`
  `getTextFilterStrategy()`
  `int`
  `hashCode()`
  `boolean`
  `isCaseSensitive()`
  `boolean`
  `isGlobbingAllowed()`
  `boolean`
  `isInverted()`
  `boolean`
  `isMultiterm()`
  `static FilterOptions`
  `restoreFromXML(org.jdom.Element element)`
  `boolean`
  `shouldUsePath()`
  `org.jdom.Element`
  `toXML()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VALID_MULTITERM_DELIMITERS

    public static final String VALID_MULTITERM_DELIMITERS

  - ### VALID_MULTITERM_DELIMITERS_ARRAY

    public static final String[] VALID_MULTITERM_DELIMITERS_ARRAY

  - ### DEFAULT_DELIMITER

    public static final Character DEFAULT_DELIMITER

- ## Constructor Details

  - ### FilterOptions

    public FilterOptions()

  - ### FilterOptions

    public FilterOptions(TextFilterStrategy textFilterStrategy, boolean allowGlobbing, boolean caseSensitive, boolean inverted)

  - ### FilterOptions

    public FilterOptions(TextFilterStrategy textFilterStrategy, boolean allowGlobbing, boolean caseSensitive, boolean inverted, boolean multiTerm, char delimiterCharacter)

  - ### FilterOptions

    public FilterOptions(TextFilterStrategy textFilterStrategy, boolean allowGlobbing, boolean caseSensitive, boolean inverted, boolean usePath, boolean multiTerm, char delimiterCharacter, MultitermEvaluationMode mode)

- ## Method Details

  - ### restoreFromXML

    public static FilterOptions restoreFromXML(org.jdom.Element element)

  - ### toXML

    public org.jdom.Element toXML()

  - ### isCaseSensitive

    public boolean isCaseSensitive()

  - ### isGlobbingAllowed

    public boolean isGlobbingAllowed()

  - ### isInverted

    public boolean isInverted()

  - ### shouldUsePath

    public boolean shouldUsePath()

  - ### getTextFilterStrategy

    public TextFilterStrategy getTextFilterStrategy()

  - ### isMultiterm

    public boolean isMultiterm()

  - ### getDelimitingCharacter

    public char getDelimitingCharacter()

  - ### getMultitermEvaluationMode

    public MultitermEvaluationMode getMultitermEvaluationMode()

  - ### getTextFilterFactory

    public TextFilterFactory getTextFilterFactory()

  - ### getTermSplitter

    public TermSplitter getTermSplitter()

  - ### getIcon

    public static Icon getIcon(TextFilterStrategy filterStrategy)

  - ### getFilterStateIcon

    public Icon getFilterStateIcon()

  - ### getFilterDescription

    public String getFilterDescription()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`